# {{ ansible_managed }}

port {{ openvpn_port }}
proto {{ openvpn_proto }}
dev tun

ca {{ openvpn_dir }}/server/ca.crt
cert {{ openvpn_dir }}/server/server.crt
key {{ openvpn_dir }}/server/server.key
dh {{ openvpn_dir }}/server/dh.pem

{% if openvpn_tls_auth %}
tls-auth {{ openvpn_dir }}/ta.key 0
{% endif %}
tls-server
auth {{ openvpn_auth_alg | default('SHA256') }}
cipher {{ openvpn_cipher }}
{% if openvpn_tun_mtu %}
tun-mtu {{ openvpn_tun_mtu }}
{% endif %}
{% if openvpn_use_hardened_tls|bool %}
tls-version-min 1.2
{% endif %}
{# Using Mozilla's modern cipher list + DHE for older clients #}
{% if openvpn_use_modern_tls|bool %}
tls-cipher TLS-ECDHE-ECDSA-WITH-AES-256-GCM-SHA384:TLS-ECDHE-RSA-WITH-AES-256-GCM-SHA384:TLS-DHE-RSA-WITH-AES-256-GCM-SHA384:TLS-ECDHE-ECDSA-WITH-AES-256-CBC-SHA384:TLS-ECDHE-RSA-WITH-AES-256-CBC-SHA384:TLS-DHE-RSA-WITH-AES-256-CBC-SHA256
{% endif %}
{% if openvpn_duplicate_cn|bool %}
duplicate-cn
{% endif %}

server {{ openvpn_server_network }} {{ openvpn_server_netmask }}
{% if openvpn_topology is defined %}
topology {{ openvpn_topology }}
{% endif %}
ifconfig-pool-persist {{ openvpn_ifconfig_pool_persist_file }}
{% if openvpn_client_config %}
client-config-dir {{ openvpn_client_config_dir }}
{% endif %}
{% if openvpn_redirect_gateway|bool %}
push "redirect-gateway def1 bypass-dhcp"
{% endif %}
{% if openvpn_set_dns %}
{% if openvpn_custom_dns|bool %}
{% for srv in openvpn_dns_servers %}
push "dhcp-option DNS {{ srv }}"
{% endfor %}
{% else %}
push "dhcp-option DNS 1.0.0.1"
push "dhcp-option DNS 1.1.1.1"
push "dhcp-option DNS 8.8.8.8"
push "dhcp-option DNS 8.8.4.4"
{% endif %}
{% endif %}
{% if openvpn_push is defined %}
{% for opt in openvpn_push %}
push "{{ opt }}"
{% endfor %}
{% endif %}
keepalive {{ openvpn_keepalive_ping }} {{ openvpn_keepalive_timeout }}
{% if openvpn_compression is not undefined and openvpn_compression != "" %}
compress {{ openvpn_compression }}
{% endif %}
persist-key
persist-tun
user {{ openvpn_service_user }}
group {{ openvpn_service_group }}

{% for option in openvpn_addl_server_options %}
{{ option }}
{% endfor %}

status status-{{ openvpn_config_file }}.log
status-version {{ openvpn_status_version }}
log-append {{ openvpn_log_dir }}/{{ openvpn_log_file }}
verb 3

{% if openvpn_verify_cn|bool %}
verify-x509-name OpenVPN-Client-{{ inventory_hostname[:24] }} name-prefix
remote-cert-tls client
{% endif %}

script-security {{ openvpn_script_security }}